Shipments
Track an order
Query Parameters
| Parameter | Required | Description |
|---|---|---|
orderNumber | Required | The unique identifier of the order to track |
Request Example
curl --location '<HOST>/api/v1/open/track?orderNumber=105022' \
--header 'Authorization: Basic xxxxxxxxxxxxxxxxxx'Response Structure
{
"data": {
"orderNumber": "105022",
"expectedDeliveryDate": "2024-02-27",
"shipmentPickupDate": "2024-02-24",
"orderStatus": "Ready To Ship",
"orderStatusCode": "RTS",
"trackingNumber": "14355980684220",
"orderedDate": "2024-01-22T15:39:00.000+00:00",
"buyerName": "Mamta Sehgal",
"buyerPhoneNum": "7780531087",
"buyerAddressLine1": "Near shree ram mandir, Punjabi mohalla",
"buyerAddressLine2": "ward no. 3,nadbai,Bharatpur RajasthanE",
"buyerAddressLine3": "Bharatpur, Rajasthan",
"buyerAddressLine4": "India - 321602",
"senderAddressCity": "Hyderabad",
"senderAddressState": "Telangana",
"trackingDetails": [
{
"scanStatus": "Data Received",
"scanLocation": "RTO/BRY, BANGALORE, KARNATAKA",
"scanDateTime": "2024-01-31T10:36:00.000+00:00"
},
{
"scanStatus": "Pickup Not Done",
"scanLocation": "RTO/BRY, BANGALORE, KARNATAKA",
"scanDateTime": "2024-02-01T12:59:00.000+00:00"
},
{
"scanStatus": "Out For Pickup",
"scanLocation": "RTO/BRY, BANGALORE, KARNATAKA",
"scanDateTime": "2024-02-02T00:42:00.000+00:00"
}
],
"carrierName": "Xpressbees",
"deliveredDate": null
},
"errorMessage": null
}Tracking Details Object
Each item in the trackingDetails array provides information about a specific event in the shipment's journey:
| Field | Description |
|---|---|
scanStatus | The current status of the shipment |
scanLocation | The location where the status was recorded |
scanDateTime | The date and time when the status was updated |
Stuck on an integration?
Your account manager can put you in touch with our tech team.